Skip to main content
POST
/
api-tools
/
rag-link
/
create
/
{instance}
Link an API tool to a RAG bot
curl --request POST \
  --url https://api.zapthinker.com/api-tools/rag-link/create/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "ragId": "<string>",
  "apiToolId": "<string>",
  "enabled": true,
  "maxCalls": 2
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json
ragId
string
required

ID do bot RAG

apiToolId
string
required

ID da ferramenta de API

enabled
boolean
maxCalls
integer

Máximo de chamadas por sessão

Required range: x >= 1

Response

201 - application/json

Vínculo criado com sucesso

The response is of type object.